Bug Hunting Session
Bug 99415 - Double line border style of tables vanishes after reopening document.
Summary: Double line border style of tables vanishes after reopening document.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2016-04-20 12:43 UTC by juelstner
Modified: 2019-02-01 20:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
3rd double line border setting (78.02 KB, image/png)
2016-08-01 06:26 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description juelstner 2016-04-20 12:43:06 UTC
When formatting tables in Writer strange things happens to cells with 'double thin line' border styled frame.

After assigning a 'double thin line' in a table everything is OK. So even when I generate a PDF, it produce the right border in this table.

But when you store the document, close and reopen it this will happen:

 - A 'double thin line' border vanishes. This border then has no line style.

 - A 'double line fat over thin' border becomes the 'double thin line'.

It seems to me that there could be an enumeration problem with the saved border style and the recreated style during loading the document.

This problem arises after I switched from OpenOffice to LibreOffice.

Best regards
Jens

PS: And I have similar save and reopen problems with Calc and I'm not able to set the 'double thin line' border style via BASIC and the UNO-API. Setting 'double thin line' border results in no order.
Comment 1 MM 2016-04-20 20:44:33 UTC
You might wanna check out bug 99315 and see if it fixes your problem.
Comment 2 raal 2016-04-20 21:22:07 UTC
 Please could you test with dev version?
http://dev-builds.libreoffice.org/daily/master/
Thank you
Comment 3 juelstner 2016-04-21 14:45:06 UTC
I installed 'http://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@70-TDF/current/master~2016-04-21_08.41.08_LibreOfficeDev_5.2.0.0.alpha0_Linux_x86-64_deb.tar.gz' and got following result:

I created a new writer document and made a table.

After applying a ‚double thin border‘, the cursor stareds to flicker, all cursor highlights become invisible and all dialog- and tooltip-texts disappeared.

By the way: The third kind of ‚double border‘ with the thick line below the thin one, just clears the border.

But now it won‘t change border states if saved and reopened.
Comment 4 juelstner 2016-04-21 14:49:42 UTC
Sorry, I don't know how to edit my comments, so I write the correction here.

The third kind of ‚double border‘ with the thick line above the thin one, just creates a simple border, like before.
Comment 5 juelstner 2016-04-23 12:40:14 UTC
After downloading Ubuntu 16.04 I was able to try this with the stable libreoffice 5.1.

There, the first double line border in a writer table now does not alter when the document ist stored and reopened. This problem is solved here.

But the third double border keeps producing a single line.
Comment 6 Buovjaga 2016-05-03 10:58:58 UTC
(In reply to juelstner from comment #5)
> But the third double border keeps producing a single line.

I don't reproduce. Can you give a screenshot?

64-bit, KDE Plasma 5
Build ID: 5.1.2.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 7 Aron Budea 2016-08-01 06:26:17 UTC
Created attachment 126507 [details]
3rd double line border setting

Here's a screenshot.
To be honest, all double line borders look kind of broken, maybe the 1st one looks okay, but I think it's the 2nd style that should look like this.
While the current border look started at version 4.3.0.4, it wasn't correct in 4.2.0.4 (it was thick, and on all four sides).

The flickering/disappearing menu issue that exists in 5.2 has been reported separately in bug 101241.
Comment 8 QA Administrators 2017-09-01 11:20:48 UTC Comment hidden (obsolete, spam)
Comment 9 Roman Kuznetsov 2019-02-01 20:44:49 UTC
don't repro in

Version: 6.1.4.2
Build ID: 1:6.1.4-0ubuntu0.18.10.1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded

Status->WFM